View Issue Details

IDProjectCategoryView StatusLast Update
0002215Industrial-Craft²general / otherpublic2017-07-06 20:57
ReporterKris1432Assigned ToChocohead 
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002215: [1.12] [industrialcraft-2-2.8.4-ex112.jar] Server Startup Crash
DescriptionForge: 2387
Version: 2-2.8.4-ex112

Cause: Server launch causing crash

Crashlog: https://pastebin.com/YvFpqWb8
Steps To ReproduceStartup a dedicated server w/ forge 2387
TagsNo tags attached.
Minecraft Version1.12

Relationships

has duplicate 0002223 resolvedChocohead Forge server crash on startup (1.12) 

Activities

Kris1432

2017-06-29 20:36

reporter  

crash-2017-06-29_21.28.34-server.txt (12,638 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  LoadingPlugin (ResourceLoader-MC1.12-1.5.2.jar)
  ShetiPhian-ASM (shetiphiancore-1.12.0-3.5.0.1.jar)
  CoreMod (Aroma1997Core-1.12-1.3.0.0.b94.jar)
  LoadingPlugin (RandomThings-MC1.12-4.0.1.jar)
  Do not report to Forge! Remove FoamFixAPI (or replace with FoamFixAPI-Lawful) and try again. (foamfix-0.7.0-1.12-anarchy.jar)
  Inventory Tweaks Coremod (InventoryTweaks-1.63+dev.98.jar)
  BlurPlugin (Blur-1.0.2-10.jar)
  FullscreenFix (gud_fullscreen_fix-1.0.2.jar)
  LoadingPlugin (TickDynamic-1.12-1.0.0.jar)
  LoadingPlugin (ChunkAnimator-MC1.12-1.2.jar)
Contact their authors BEFORE contacting forge

// Everything's going to plan. No, really, that was supposed to happen.

Time: 6/29/17 9:28 PM
Description: Exception in server tick loop

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (ic2)
Caused by: java.lang.NoClassDefFoundError: net/minecraft/client/util/ITooltipFlag
	at java.lang.Class.getDeclaredConstructors0(Native Method)
	at java.lang.Class.privateGetDeclaredConstructors(Class.java:2671)
	at java.lang.Class.getConstructor0(Class.java:3075)
	at java.lang.Class.getConstructor(Class.java:1825)
	at net.minecraftforge.fml.common.eventhandler.EventBus.register(EventBus.java:127)
	at net.minecraftforge.fml.common.eventhandler.EventBus.register(EventBus.java:111)
	at ic2.core.item.armor.jetpack.JetpackHandler.<init>(JetpackHandler.java:69)
	at ic2.core.item.armor.jetpack.JetpackHandler.init(JetpackHandler.java:80)
	at ic2.core.IC2.modsLoaded(IC2.java:395)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:628)
	at sun.reflect.GeneratedMethodAccessor9.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:252)
	at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:230)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:147)
	at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:786)
	at net.minecraftforge.fml.server.FMLServerHandler.finishServerLoading(FMLServerHandler.java:107)
	at net.minecraftforge.fml.common.FMLCommonHandler.onServerStarted(FMLCommonHandler.java:340)
	at net.minecraft.server.dedicated.DedicatedServer.func_71197_b(DedicatedServer.java:216)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:483)
	at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.ClassNotFoundException: net.minecraft.client.util.ITooltipFlag
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 44 more
Caused by: java.lang.NullPointerException
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:182)
	... 46 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.12
	Operating System: Linux (amd64) version 2.6.32-642.13.1.el6.x86_64
	Java Version: 1.8.0_66, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 3463725968 bytes (3303 MB) / 4133486592 bytes (3942 MB) up to 4133486592 bytes (3942 MB)
	JVM Flags: 2 total; -Xmx4096M -Xms4096M
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP 9.40 Powered by Forge 14.21.1.2387 72 mods loaded, 72 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJ	minecraft{1.12} [Minecraft] (minecraft.jar) 
	UCHIJ	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJ	FML{8.0.99.99} [Forge Mod Loader] (Forge.jar) 
	UCHIJ	forge{14.21.1.2387} [Minecraft Forge] (Forge.jar) 
	UCHIJ	aroma1997core{1.3.0.0.b94} [Aroma1997Core] (Aroma1997Core-1.12-1.3.0.0.b94.jar) 
	UCHIJ	gud_fullscreen_fix{} [Fullscreen Fix] (minecraft.jar) 
	UCHIJ	foamfixcore{7.7.4} [FoamFixCore] (minecraft.jar) 
	UCHIJ	actuallyadditions{1.12-r113} [Actually Additions] (ActuallyAdditions-1.12-r113.jar) 
	UCHIJ	akashictome{1.2-9} [Akashic Tome] (AkashicTome-1.2-9.jar) 
	UCHIJ	aroma1997corehelper{1.3.0.0.b94} [Aroma1997Core|Helper] (Aroma1997Core-1.12-1.3.0.0.b94.jar) 
	UCHIJ	aroma1997sdimension{1.3.0.0.b37} [Aroma1997's Dimensional World] (Aroma1997s-Dimensional-World-1.12-1.3.0.0.b37.jar) 
	UCHIJ	aromabackup{2.1.0.0.b71} [AromaBackup] (AromaBackup-1.12-2.1.0.0.b71.jar) 
	UCHIJ	aromabackuprecovery{2.1.0.0.b71} [AromaBackuprecovery] (AromaBackup-1.12-2.1.0.0.b71.jar) 
	UCHIJ	morphtool{1.2-15} [Morph-o-Tool] (Morph-o-Tool-1.2-15.jar) 
	UCHIJ	psi{r1.1-50} [Psi] (Psi-r1.1-50.jar) 
	UCHIJ	autoreglib{1.3-9} [AutoRegLib] (AutoRegLib-1.3-9.jar) 
	UCHIJ	badwithernocookiereloaded{1.0} [badwithernocookiereloaded] (badwithernocookie-1.12.jar) 
	UCHIJ	betterbuilderswands{0.11.1} [Better Builder's Wands] (BetterBuildersWands-1.12-0.11.1.245+69d0d70.jar) 
	UCHIJ	bibliocraft{2.4.2} [BiblioCraft] (BiblioCraft[v2.4.2][MC1.12.0].jar) 
	UCHIJ	biomesoplenty{7.0.0.2287} [Biomes O' Plenty] (BiomesOPlenty-1.12-7.0.0.2287-universal.jar) 
	UCHIJ	chameleon{1.12-4.0.2} [Chameleon] (Chameleon-1.12-4.0.2.jar) 
	UCHIJ	charset{0.4.2-pre2} [Charset] (Charset-0.4.2-pre2.jar) 
	UCHIJ	chesttransporter{2.8.3} [Chest Transporter] (ChestTransporter-1.12-2.8.3.jar) 
	UCHIJ	clarity{1.0} [Clarity] (clarity-1.0.jar) 
	UCHIJ	clayworldgen{1.1.0-1.12} [Clay WorldGen] (ClayWorldGen-1.1.0-1.12.0.jar) 
	UCHIJ	craftingtweaks{8.1.1} [Crafting Tweaks] (CraftingTweaks_1.12-8.1.1.jar) 
	UCHIJ	elevatorid{1.3.4} [Elevator Mod] (ElevatorMod-1.12-1.3.4.jar) 
	UCHIJ	csb_ench_table{1.1.2-beta2} [Lapis Stays in the Enchanting Table] (EnchantingTable-1.12-1.1.2-beta2.jar) 
	UCHIJ	shetiphiancore{3.5.0.1} [ShetiPhian-Core] (shetiphiancore-1.12.0-3.5.0.1.jar) 
	UCHIJ	endertanks{1.6.0.1} [EnderTanks] (endertanks-1.12.0-1.6.0.1.jar) 
	UCHIJ	exchangers{1.12-2.0} [Exchangers] (Exchangers-1.12-2.0.jar) 
	UCHIJ	zerocore{1.12-0.1.0.9} [Zero CORE] (zerocore-1.12-0.1.0.9.jar) 
	UCHIJ	bigreactors{1.12-0.4.5.33} [Extreme Reactors] (ExtremeReactors-1.12-0.4.5.33.jar) 
	UCHIJ	foamfix{@VERSION@} [FoamFix] (foamfix-0.7.0-1.12-anarchy.jar) 
	UCHIE	ic2{2.8.4-ex112} [IndustrialCraft 2] (industrialcraft-2-2.8.4-ex112.jar) 
	UCHIJ	forestry{5.4.0.120} [Forestry] (forestry_1.12-5.4.0.120.jar) 
	UCHIJ	gravelminer{6.1.1} [GravelMiner] (GravelMiner_1.12-6.1.1.jar) 
	UCHIJ	gravestone{1.8.3} [Gravestone Mod] (gravestone-1.8.3.jar) 
	UCHIJ	inventorytweaks{1.63+dev.98.684f99a} [Inventory Tweaks] (InventoryTweaks-1.63+dev.98.jar) 
	UCHIJ	ironchest{1.12-7.0.31.818} [Iron Chest] (ironchest-1.12-7.0.31.818.jar) 
	UCHIJ	itorch{1.1.6} [iTorch] (itorch-1.1.6.jar) 
	UCHIJ	jei{4.7.0.68} [Just Enough Items] (jei_1.12-4.7.0.68.jar) 
	UCHIJ	journeymap{1.12-5.4.7} [JourneyMap] (journeymap-1.12-5.4.7.jar) 
	UCHIJ	lostcities{0.0.12beta} [The Lost Cities] (lostcities-1.12-0.0.12beta.jar) 
	UCHIJ	mcmultipart{2.2.2} [MCMultiPart] (MCMultiPart-2.2.2.jar) 
	UCHIJ	morpheus{1.12-3.3.2} [Morpheus] (Morpheus-1.12-3.3.2.jar) 
	UCHIJ	mysticalagriculture{1.6.0} [Mystical Agriculture] (mysticalagriculture[1.12]-1.6.0.jar) 
	UCHIJ	netherportalfix{1.0} [NetherPortalFix] (NetherPortalFix_1.12-5.3.1.jar) 
	UCHIJ	redstoneflux{2.0.0} [Redstone Flux] (RedstoneFlux-1.12-2.0.0.1-universal.jar) 
	UCHIJ	notenoughwands{1.5.8} [Not Enough Wands] (notenoughwands-1.12-1.5.8.jar) 
	UCHIJ	obsidianplates{1.3.0} [Obsidian Plates] (ObsidianPlates-1.3.0_1.12.jar) 
	UCHIJ	persistentbits{1.0.6a} [Persistent Bits] (PersistentBits-1.12-1.0.6a.jar) 
	UCHIJ	reborncore{3.2.1.77} [Reborn Core] (RebornCore-1.12-3.2.1.77-universal.jar) 
	UCHIJ	quantumstorage{4.3.4} [QuantumStorage] (QuantumStorage-1.12-4.3.4.jar) 
	UCHIJ	quickleafdecay{1.2.3} [Quick Leaf Decay] (QuickLeafDecay-MC1.12-1.2.3.jar) 
	UCHIJ	qutilities{6.0-26} [QUtilities] (qutilities-1.12-0.6.26.jar) 
	UCHIJ	randomthings{4.0.1} [Random Things] (RandomThings-MC1.12-4.0.1.jar) 
	UCHIJ	refinedstorage{1.5.6} [Refined Storage] (refinedstorage-1.5.6.jar) 
	UCHIJ	rftools{6.10} [RFTools] (rftools-1.12-6.10beta1.jar) 
	UCHIJ	rftoolscontrol{1.6.8} [RFTools Control] (rftoolsctrl-1.12-1.6.8beta1.jar) 
	UCHIJ	silentlib{2.2.3} [Silent Lib] (SilentLib-1.12-2.2.3-71.jar) 
	UCHIJ	silentgems{2.3.18} [Silent's Gems] (SilentsGems-1.12-2.3.18-189.jar) 
	UCHIJ	soulshardstow{1.12-2.7.2-51} [Soul Shards - The Old Ways] (SoulShards-TOW-1.12-2.7.2-51.jar) 
	UCHIJ	stevescarts{${version}} [Steve's Carts 2] (StevesCarts-1.12-2.4.2.20.jar) 
	UCHIJ	storagedrawers{1.12-5.1.3} [Storage Drawers] (StorageDrawers-1.12-5.1.3.jar) 
	UCHIJ	techreborn{2.6.1.124} [Tech Reborn] (TechReborn-1.12-2.6.1.124-universal.jar) 
	UCHIJ	theoneprobe{1.4.11} [The One Probe] (theoneprobe-1.12-1.4.11.jar) 
	UCHIJ	tickdynamic{1.0.0} [Tick Dynamic] (TickDynamic-1.12-1.0.0.jar) 
	UCHIJ	torchmaster{1.4.3.8} [TorchMaster] (torchmaster_1.12-1.4.3.8.jar) 
	UCHIJ	totemic{1.12-0.8.9} [Totemic] (Totemic-1.12-0.8.9.jar) 
	UCHIJ	xnet{1.3.4} [XNet] (xnet-1.12-1.3.4.jar) 
	UCHIJ	xtones{1.12-1.0.4-7} [Xtones] (Xtones-1.12-1.0.4-7.jar) 
	Loaded coremods (and transformers): 
LoadingPlugin (ResourceLoader-MC1.12-1.5.2.jar)
  lumien.resourceloader.asm.ClassTransformer
ShetiPhian-ASM (shetiphiancore-1.12.0-3.5.0.1.jar)
  shetiphian.asm.ClassTransformer
CoreMod (Aroma1997Core-1.12-1.3.0.0.b94.jar)
  
LoadingPlugin (RandomThings-MC1.12-4.0.1.jar)
  lumien.randomthings.asm.ClassTransformer
Do not report to Forge! Remove FoamFixAPI (or replace with FoamFixAPI-Lawful) and try again. (foamfix-0.7.0-1.12-anarchy.jar)
  pl.asie.foamfix.coremod.FoamFixTransformer
Inventory Tweaks Coremod (InventoryTweaks-1.63+dev.98.jar)
  invtweaks.forge.asm.ContainerTransformer
BlurPlugin (Blur-1.0.2-10.jar)
  com.tterrag.blur.BlurTransformer
FullscreenFix (gud_fullscreen_fix-1.0.2.jar)
  net.gudenau.fullscreenfix.Transformer
LoadingPlugin (TickDynamic-1.12-1.0.0.jar)
  com.wildex999.patcher.TransformerPatcher
  com.wildex999.patcher.EntityInjector
LoadingPlugin (ChunkAnimator-MC1.12-1.2.jar)
  lumien.chunkanimator.asm.ClassTransformer
	RebornCore: 
		Plugin Engine: 0
		RebornCore Version: 3.2.1.77
		Runtime Debofucsation 1
	Profiler Position: N/A (disabled)
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Chocohead

2017-06-29 21:06

developer   ~0005335

Last edited: 2017-06-29 21:07

View 2 revisions

Ah, looks like a Forge event is missing a side only. Fixed in IC2 2.8.5

Issue History

Date Modified Username Field Change
2017-06-29 20:36 Kris1432 New Issue
2017-06-29 20:36 Kris1432 File Added: crash-2017-06-29_21.28.34-server.txt
2017-06-29 21:06 Chocohead Note Added: 0005335
2017-06-29 21:06 Chocohead Status new => resolved
2017-06-29 21:06 Chocohead Fixed in Version => Builds for MC 1.12.x
2017-06-29 21:06 Chocohead Resolution open => fixed
2017-06-29 21:06 Chocohead Assigned To => Chocohead
2017-06-29 21:07 Chocohead Note Edited: 0005335 View Revisions
2017-07-06 20:57 Chocohead Relationship added has duplicate 0002223